import request from '@/utils/request'

// 查询走访记录列表
export function listVisitrecard(query) {
  return request({
    url: '/szxc/visitrecard/list',
    method: 'get',
    params: query
  })
}

// 查询走访记录详细
export function getVisitrecard(id) {
  return request({
    url: '/szxc/visitrecard/' + id,
    method: 'get'
  })
}

// 新增走访记录
export function addVisitrecard(data) {
  return request({
    url: '/szxc/visitrecard',
    method: 'post',
    data: data
  })
}

// 修改走访记录
export function updateVisitrecard(data) {
  return request({
    url: '/szxc/visitrecard',
    method: 'put',
    data: data
  })
}

// 删除走访记录
export function delVisitrecard(id) {
  return request({
    url: '/szxc/visitrecard/' + id,
    method: 'delete'
  })
}
